Queue Call

Queuing a single outbound call

Path Params
string
required

Application ID number

string
required

Deployment ID number

Body Params
string
required

This is the destination phone number for the outbound call.

There are multiple ways to format phone numbers. They can include the 'tel:' prefix and/or the ANI and postd suffixes, e.g. ani=8009957586 and/or postd=2.

EX:
tel:+16175551234;ani=8009957586 (this sets the caller ID)

A masking number should be used for outbound calls calls as Fuse do not have a default caller ID value, and shows a destination for the person to respond and return the call.

string

Unix timestamp indicating when to begin the outbound dialing attempts. If not specified, the calls go out immediately.

string

Unix timestamp indicating when to stop attempting outbound calls.

integer

Total number of times (between 1-10) to attempt calling a specific number (if previous attempts are not completed successfully). This field requires reattempt_wait field to be set.

integer

Interval (in seconds) to wait before retrying the outbound call after a failure. This is only required when the max_attempts value is set to a number greater than one, indicating additional retry attempts. Valid values range from 60 to 86400 (1 minute to 1 day).

string

JSON object of key⇒value pairs of variables and their related values for use with an application at run time.

Ex:
{
"name":"John Doe",
"appointment":"Monday September 24th at 10am"
}

These variables can be access as name and appointment respectively within the application.

string

Callback URL to your REST service that processes the call status results when the call is completed, canceled, or all attempts have been exhausted. The POST body matches the format of the call_details attribute from the outbound call status API response.

integer

For customers who have been granted access to our HIPAA / PCI compliant secure environment setting this flag to 1 will cause connected outbound calls to execute within that secure environment. (Integer 0 or 1).

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json